> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ebury.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get currency metadata

Describe a currency


## OpenAPI

````yaml /openapi.json get /metadata/currency
openapi: 3.0.0
info:
  description: |
    Ebury API allows customers:
      to retrieve accounts, balances, beneficiaries, and transactions;
      to get buy/sell estimates and quotes, book trades and retrieve trade history;
      to allocate payments to a trade and beneficiary, and to submit payments in bulk;
      to download documents such as trade receipt, payment instruction and payment receipt;
      to manage the authorised persons on their account.
    The Metadata API allows applications to clarify some parts of the Ebury API
      that are impractical to express schematically.
  termsOfService: https://docs.ebury.io/#terms-of-use
  title: Ebury API
  version: '0.1'
servers:
  - url: https://{environment}.ebury.io
    variables:
      environment:
        default: api
        enum:
          - api
          - sandbox
security:
  - api_key: []
paths:
  /metadata/currency:
    parameters:
      - $ref: '#/components/parameters/DataOnly'
    get:
      tags:
        - Metadata
      summary: Get currency metadata
      description: Describe a currency.
      responses:
        '200':
          $ref: '#/components/responses/CurrencyMetadata'
        '400':
          $ref: '#/components/responses/ValidationError'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '502':
          $ref: '#/components/responses/IntegrationError'
components:
  parameters:
    DataOnly:
      description: Used to generate a flat array.
      in: query
      name: data_only
      required: false
      schema:
        type: boolean
  responses:
    CurrencyMetadata:
      description: Currency metadata
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/CurrencyMetadata'
    ValidationError:
      description: >-
        Formatting, parameter or schema validation error. See error message for
        further details.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorMessage'
    Unauthorized:
      description: Access denied due to authentication failure.
    Forbidden:
      description: >-
        Could not complete action due to data constraints. Refer to error
        message for additional details.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorMessage'
    IntegrationError:
      description: Internal integration error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorMessage'
  schemas:
    CurrencyMetadata:
      items:
        $ref: '#/components/schemas/CurrencyMetadataItem'
      type: array
    ErrorMessage:
      description: An error message.
      properties:
        code:
          type: string
          description: The code for the error.
        details:
          description: Error details
          type: string
        message:
          type: string
          description: A short description of the cause of the error.
      required:
        - code
        - message
        - details
      type: object
    CurrencyMetadataItem:
      properties:
        buy:
          $ref: '#/components/schemas/CutOffItem'
        currency:
          description: The currency code, expressed as an ISO 4217 alpha code.
          type: string
        invalid_value_dates:
          $ref: '#/components/schemas/InvalidValueDateItem'
        reason_required:
          description: >-
            Whether or not a reason for trade for the currency needs to be
            supplied.
          type: boolean
        sell:
          $ref: '#/components/schemas/CutOffItem'
      type: object
    CutOffItem:
      properties:
        cutoff_days:
          description: >-
            The cutoff T+n days, expressed as an integer. The value '0' means
            there is not cutoff day for this currency.
          type: integer
        cutoff_time:
          description: >-
            The cutoff time, expressed as an string. The value 'null' means
            there is not cutoff time for this currency.
          type: string
      type: object
    InvalidValueDateItem:
      properties:
        YYYY-MM-DD:
          description: Reason of invalid trading date.
          type: string
      type: object
  securitySchemes:
    api_key:
      description: An API Key.
      in: header
      name: x-api-key
      type: apiKey

````